#!/bin/bash
#
# Script storing any file it into IRODS.
# Copyright 2013 National ICT Australia (NICTA), Australia
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
irodsHost=irods.example.com
#irodsPort=1247
export irodsHost irodsPort

LOGFILE=oml2-irods-dumper.log
function log ()
{
	echo "$@" >&2
	echo "$@" >> ${LOGFILE}
}

IPUT=iput

CONT=0
while [ $CONT = 0 ] ; do
	case "$1" in
		--file)
			shift
			FILE=$1
			;;
		--token)
			shift
			ITICKET=$1
			;;
		--path)
			shift
			IPATH=$1
			;;
		"")
			;;
		*)
			log "WARN	Unknown parameter '$1'"
			;;
	esac
	shift
	CONT=$?
done

if [ -z "${FILE}" -o -z "${IPATH}" ]; then
	log "ERROR	Missing parameters"
	log "usage: $0 --file FILE --path IPATH [--token ITICKET]"
	exit 1
fi

log "INFO	Pushing ${FILE} to irods://irodsHost:irodsPort${IPATH}"
${IPUT} ${ITICKET:+-t ${ITICKET}} ${FILE} ${IPATH}
rm ${FILE}
